--- /dev/null
+#!/bin/bash
+
+echo "Preparing virtual environment ..."
+echo
+if [[ ! -f venv/bin/activate ]] ; then
+ virtualenv --python=python3 venv
+fi
+
+. venv/bin/activate || exit 5
+
+echo "---------------------------------------------------"
+echo "Installing and/or upgrading necessary modules ..."
+echo
+pip install --upgrade --upgrade-strategy eager --requirement requirements.txt
+echo
+echo "---------------------------------------------------"
+echo "Installed modules:"
+echo
+pip list --format columns
+
+echo
+echo "-------"
+echo "Fertig."
+echo
+
+# vim: ts=4